# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/repository/infrastructure/messaging/messages/action_builder_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nOryax/repository/infrastructure/messaging/messages/action_builder_messages.proto\x12\x0e\x61\x63tion_builder\"%\n\x10\x41\x63tionBuildStart\x12\x11\n\taction_id\x18\x01 \x01(\t\"\'\n\x12\x41\x63tionBuildSuccess\x12\x11\n\taction_id\x18\x01 \x01(\t\"(\n\x13\x41\x63tionBuildCanceled\x12\x11\n\taction_id\x18\x01 \x01(\t\"\xb6\x02\n\x10\x41\x63tionBuildError\x12\x11\n\taction_id\x18\x01 \x01(\t\x12\x0c\n\x04logs\x18\x02 \x01(\t\x12\x39\n\x04\x63ode\x18\x03 \x01(\x0e\x32+.action_builder.ActionBuildError.ErrorCodes\"\xc5\x01\n\nErrorCodes\x12\r\n\tUndefined\x10\x00\x12\x17\n\x13ImageNameNotDefined\x10\x01\x12\x1a\n\x16\x41\x63tionTypeNotSupported\x10\x02\x12\x1e\n\x1aInternalRegistryConnection\x10\x03\x12\x1c\n\x18\x45rrorWhileRunningProcess\x10\x04\x12\x17\n\x13RegisteringFunction\x10\x05\x12\x1c\n\x18\x41notherBuildIsInProgress\x10\x06\"\x0f\n\rNoActionBuildb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.repository.infrastructure.messaging.messages.action_builder_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_ACTIONBUILDSTART']._serialized_start=99
  _globals['_ACTIONBUILDSTART']._serialized_end=136
  _globals['_ACTIONBUILDSUCCESS']._serialized_start=138
  _globals['_ACTIONBUILDSUCCESS']._serialized_end=177
  _globals['_ACTIONBUILDCANCELED']._serialized_start=179
  _globals['_ACTIONBUILDCANCELED']._serialized_end=219
  _globals['_ACTIONBUILDERROR']._serialized_start=222
  _globals['_ACTIONBUILDERROR']._serialized_end=532
  _globals['_ACTIONBUILDERROR_ERRORCODES']._serialized_start=335
  _globals['_ACTIONBUILDERROR_ERRORCODES']._serialized_end=532
  _globals['_NOACTIONBUILD']._serialized_start=534
  _globals['_NOACTIONBUILD']._serialized_end=549
# @@protoc_insertion_point(module_scope)
